%bcond_without reconf
%define major 9
%define minor 52
 
Name: ghostscript
Version: %{major}.%{minor}
Release: 2
License: AGPL-3.0-or-later
Summary: PostScript and PDF interpreter
Url: https://www.ghostscript.com/

Source0: https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/download/gs%{major}%{minor}/ghostscript-%{version}.tar.gz

BuildRequires: libtiff-devel
BuildRequires: freetype-devel
BuildRequires: zlib-devel
BuildRequires: libpng-devel
BuildRequires: libiconv-devel
BuildRequires: pkg-config

%if %{with reconf}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: m4-gnu
BuildRequires: libtool
BuildRequires: gettext-tools
%endif

Patch0: ghostscript-freetype-2.10.3-compat.patch

%description
Ghostscript is an interpreter for PostScript™ and PDF files.

Ghostscript consists of a PostScript interpreter layer, and a graphics library.

%prep
%setup -q
%patch0 -p1

# do not use versions that are included with ghostscript, use system version instead
rm -rf ./cups
rm -rf ./freetype
rm -rf ./zlib
rm -rf ./libpng

%build

%if %{with reconf}
autoreconf -fi
%else
%define _host powerpc-ibm-aix7
%endif

%configure \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-system-libtiff \
  # end

%make_build

%install

%make_install

%files
%defattr(-, qsys, *none)

%license doc/COPYING
%doc LICENSE

%{_bindir}/gs
%{_bindir}/gsbj
%{_bindir}/gsdj
%{_bindir}/gsdj500
%{_bindir}/gslj
%{_bindir}/gslp
%{_bindir}/gsnd
%{_bindir}/dvipdf
%{_bindir}/eps2eps
%{_bindir}/pdf2dsc
%{_bindir}/pdf2ps
%{_bindir}/pf2afm
%{_bindir}/pfbtopfa
%{_bindir}/pphs
%{_bindir}/printafm
%{_bindir}/ps2ascii
%{_bindir}/ps2epsi
%{_bindir}/ps2pdf
%{_bindir}/ps2pdf12
%{_bindir}/ps2pdf13
%{_bindir}/ps2pdf14
%{_bindir}/ps2pdfwr
%{_bindir}/ps2ps
%{_bindir}/ps2ps2
%{_bindir}/lprsetup.sh
%{_bindir}/unix-lpr.sh

%{_datadir}/ghostscript/%{version}

%{_mandir}/de/man1/dvipdf.1*
%{_mandir}/de/man1/eps2eps.1*
%{_mandir}/de/man1/gsnd.1*
%{_mandir}/de/man1/pdf2dsc.1*
%{_mandir}/de/man1/pdf2ps.1*
%{_mandir}/de/man1/printafm.1*
%{_mandir}/de/man1/ps2ascii.1*
%{_mandir}/de/man1/ps2pdf.1*
%{_mandir}/de/man1/ps2pdf12.1*
%{_mandir}/de/man1/ps2pdf13.1*
%{_mandir}/de/man1/ps2pdf14.1*
%{_mandir}/de/man1/ps2ps.1*

%{_mandir}/man1/dvipdf.1*
%{_mandir}/man1/eps2eps.1*
%{_mandir}/man1/gs.1*
%{_mandir}/man1/gslp.1*
%{_mandir}/man1/gsbj.1*
%{_mandir}/man1/gsdj.1*
%{_mandir}/man1/gsdj500.1*
%{_mandir}/man1/gslj.1*
%{_mandir}/man1/gsnd.1*
%{_mandir}/man1/pdf2dsc.1*
%{_mandir}/man1/pdf2ps.1*
%{_mandir}/man1/pf2afm.1*
%{_mandir}/man1/pfbtopfa.1*
%{_mandir}/man1/printafm.1*
%{_mandir}/man1/ps2ascii.1*
%{_mandir}/man1/ps2epsi.1*
%{_mandir}/man1/ps2pdf.1*
%{_mandir}/man1/ps2pdf12.1*
%{_mandir}/man1/ps2pdf13.1*
%{_mandir}/man1/ps2pdf14.1*
%{_mandir}/man1/ps2pdfwr.1*
%{_mandir}/man1/ps2ps.1*

%{_docdir}/ghostscript/%{version}/API.htm
%{_docdir}/ghostscript/%{version}/C-style.htm
%{_docdir}/ghostscript/%{version}/COPYING
%{_docdir}/ghostscript/%{version}/Commprod.htm
%{_docdir}/ghostscript/%{version}/DLL.htm
%{_docdir}/ghostscript/%{version}/Deprecated.htm
%{_docdir}/ghostscript/%{version}/Develop.htm
%{_docdir}/ghostscript/%{version}/Devices.htm
%{_docdir}/ghostscript/%{version}/Drivers.htm
%{_docdir}/ghostscript/%{version}/Fonts.htm
%{_docdir}/ghostscript/%{version}/GS9_Color_Management.pdf
%{_docdir}/ghostscript/%{version}/History9.htm
%{_docdir}/ghostscript/%{version}/Install.htm
%{_docdir}/ghostscript/%{version}/Language.htm
%{_docdir}/ghostscript/%{version}/Lib.htm
%{_docdir}/ghostscript/%{version}/Make.htm
%{_docdir}/ghostscript/%{version}/News.htm
%{_docdir}/ghostscript/%{version}/Ps-style.htm
%{_docdir}/ghostscript/%{version}/Ps2epsi.htm
%{_docdir}/ghostscript/%{version}/Psfiles.htm
%{_docdir}/ghostscript/%{version}/Readme.htm
%{_docdir}/ghostscript/%{version}/Release.htm
%{_docdir}/ghostscript/%{version}/SavedPages.htm
%{_docdir}/ghostscript/%{version}/Source.htm
%{_docdir}/ghostscript/%{version}/Unix-lpr.htm
%{_docdir}/ghostscript/%{version}/Use.htm
%{_docdir}/ghostscript/%{version}/VectorDevices.htm
%{_docdir}/ghostscript/%{version}/WhatIsGS.htm
%{_docdir}/ghostscript/%{version}/gdevds32.c
%{_docdir}/ghostscript/%{version}/gs-style.css
%{_docdir}/ghostscript/%{version}/images/Artifex_logo.png
%{_docdir}/ghostscript/%{version}/images/favicon.png
%{_docdir}/ghostscript/%{version}/images/ghostscript_logo.png
%{_docdir}/ghostscript/%{version}/images/hamburger-light.png
%{_docdir}/ghostscript/%{version}/images/x-light.png
%{_docdir}/ghostscript/%{version}/index.html
%{_docdir}/ghostscript/%{version}/index.js
%{_docdir}/ghostscript/%{version}/pscet_status.txt
%{_docdir}/ghostscript/%{version}/sample_downscale_device.htm
%{_docdir}/ghostscript/%{version}/style.css
%{_docdir}/ghostscript/%{version}/subclass.htm
%{_docdir}/ghostscript/%{version}/thirdparty.htm

%changelog
* Thu Apr 07 2022 Abdirahim Musse <abdirahim.musse@ibm.com> - 9.52
- Drop use of FT_CALLBACK_DEF

* Wed Aug 12 2020 Eric Simpson <esimpson@ca.ibm.com> - 9.50
- Update to 9.50

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 9.21
- Use generic paths for man and info pages to allow for compression

* Mon Dec 2 2019 Abdirahim Musse <abdirahim.musse@ibm.com> 
- Use SPDX license identifier
- Wrapped description such that each line does not exceed 80 characters
- Add unpackaged man files

* Mon Mar 12 2018 Kevin Adler <kadler@us.ibm.com>
- Add missing man files

* Sat Mar 3 2018 Kevin Adler <kadler@us.ibm.com> 
- Remove gcc wrappers from spec

* Tue Nov 21 2017 Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs and libiconv2
- Remove outdated TODO comments
- Make ghostscript build

* Mon Jun 5 2017 Kevin Adler <kadler@us.ibm.com> 
- Use make_build and make_install macros

* Thu Apr 20 2017 Kevin Adler <kadler@us.ibm.com> 
- Add initial spec file
